MEINPROC6(1)

IME
meinproc6 - KDE prevajalnik za XML

POVZETEK

meinproc6 [-h, --help] [-v, --version] [--cache file] [--check] [--srcdir dir] [--param key=value] [[[-o] | [--output]] file] [--stdout] [--stylesheet xsl] docbook_file

OPIS

meinproc6 pretvori DocBook datoteke v HTML.

SPLOŠNE MOŽNOSTI

-h--help
    Pokaži pomoč o možnostih.

-v--version
    Prikaži informacije o različici.

MOŽNOSTI APLIKACIJE

--cache file
    Ustvarite predpomnilniško datoteko za dokument.

--check
    Preverite veljavnost dokumenta.

        Rezultat je lahko nekoliko zastrašujoč, saj lahko ena majhna napaka povzroči niz napak.
        Trik je v tem, da pogledate prvo napako, jo popravite, shranite datoteko in znova zaženete meinproc6.

-o, --output file
    Izpis celotnega dokumenta v datoteko.

--stdout
    Izhod celotnega dokumenta v stdout.

--stylesheet xsl
    Slogovna tabela za uporabo.

--srcdir dir
    Nastavite korenski imenik za iskanje kdoctools.

--param key=value
    Nastavite parametre za prenos v slogovno tabelo.

UPORABA

Najpogostejši način za zagon meinproc6 je preprosto kot

    meinproc6 docbook-file

, kjer je docbook-file običajno index.docbook. Ta ukaz ustvari HTML strani iz datoteke DocBook. Upoštevajte, da so te strani vidne samo v brskalnikih, ki temeljijo na KDE (kot je Konqueror).

Če si želite ogledati HTML izpis v drugem brskalniku (na primer, če ga postavljate na splet), uporabite

    meinproc6 --stylesheet stylesheet-name docbook-file

kjer je stylesheet-name polna pot do enega od XSL slogovne tabele v <kdoctools_installation_prefix>/share/kf5/kdoctools/customization/. Za izdelavo izhoda, primernega za splet, lahko uporabite kde-web.xsl ali kde-chunk-online.xsl. Za več podrobnosti glejte datoteko README v tem imeniku.

POGLEJ TUDI

kf6options(7), qt6options(7)

NAPAKE

Za poročanje o napakah uporabite KDEjev sledilnik napak[1].

NOTES

1.  KDEjev sledilnik napak
    https://bugs.kde.org